package com.muyu.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * @Author：张腾
 * @Package：com.muyu.server.pojo
 * @Project：cloud-integration
 * @name：DataSourceList
 * @Date：2024/8/20 18:47
 */
@Data
@SuperBuilder
@TableName(value = "data_source")
@NoArgsConstructor
@AllArgsConstructor
//核心数据库
public class ProductData extends BaseEntity {

    /**
     * 主键/编号
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Integer pid;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别
     */
    private String gender;

    /**
     * 生日
     */
    private Date birthday;

    /**
     * 地址
     */
    private String address;

    /**
     * 手机号
     */
    private String mibile;

    /**
     * 身份证号
     */
    private String idCard;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 征信状态
     */
    private String credit;

    /**
     * 编号
     */
    private String id;


}
