package com.muyu.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.domain.AssetAuthorization;

import java.util.List;

/**
 * @Author：yang
 * @Package：com.muyu.server.service
 * @Project：cloud-property
 * @name：AssetAuthorizationService
 * @Date：2024/9/4 21:16
 */
public interface AssetAuthorizationService extends IService<AssetAuthorization> {
    /**
     * 删除用户权限方法
     * @param req 响应参数
     * @return  返回结果
     */
    Long delUserAssetAccredit(AssetAuthorization req);

    /**
     * 删除部门权限的信息
     * @param req 响应参数
     * @return  返回结果
     */
    Long delDeptAssetAccredit(AssetAuthorization req);

    /**
     * 查询资产赋权用户信息
     * @param req 响应参数
     * @return 返回结果
     */
    List<Long> findUserIdList(AssetAuthorization req);

    /**
     * 查询资产赋权部门的信息
     * @param req 响应参数
     * @return 返回结果
     */
    List<Long> findDeptIdList(AssetAuthorization req);
}
