package com.muyu.server.service.impl;

import com.alibaba.druid.pool.DruidDataSource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.domain.DataName;
import com.muyu.common.domain.TableNames;
import com.muyu.server.mapper.DataNameMapper;
import com.muyu.server.service.DataNameService;
import com.muyu.server.service.TableRunNameService;
import com.muyu.server.util.JdbcHelper;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

/**
 * @Author：yang
 * @Package：com.muyu.server.service.impl
 * @Project：cloud-property
 * @name：DataNameServiceImpl
 * @Date：2024/8/27 21:35
 */
@Service
@AllArgsConstructor
public class DataNameServiceImpl
        extends ServiceImpl<DataNameMapper,DataName>
        implements DataNameService {

    /**
     * 获取数据库名
     * @return 返回试图
     */
    @Override
    public List<DataName> extractDataName() {

        String sql = null;
        String dataName= "core_data_warehouse";
        DruidDataSource druidDataSource = JdbcHelper.getConnRs(dataName);
        sql = "SELECT * FROM `data_name`";
        try {
            assert druidDataSource != null;
            try (Connection conn = druidDataSource.getConnection()) {
                // 在这里执行你的数据库操作
                PreparedStatement preparedStatement = conn.prepareStatement(sql);
                ResultSet rs = preparedStatement.executeQuery();

                ArrayList<DataName> list = new ArrayList<>();
                while (rs.next()) {
                    list.add(
                            new DataName(
                                    rs.getInt("id"),
                                    rs.getString("name")
                            ));
                }
                JdbcHelper.close(conn,preparedStatement,rs);

                return list;
            }
        } catch (SQLException e) {
            e.printStackTrace();
        }

        return null;
    }
}
